#!/usr/bin/env python

from   interp.cluster import QueueManager
from   optparse       import OptionParser

if __name__ == '__main__':
  parser = OptionParser(usage = "usage: %s [options] <server> <interp count>")

  parser.add_option('-p', '--port',
    type="int", dest="port", default=6666,
    help="specify the port to use on the server (default: %default)")

  parser.add_option('-a', '--auth-key',
    type="str", dest="authkey", default='asdf',
    help="authkey (default: %default)")

  (options, args) = parser.parse_args()

  m = QueueManager(address=('', options.port), authkey=options.authkey)
  s = m.get_server()
  s.serve_forever()
